libimobiledevice-utils_1.2.1~git20181030.92c5462-1_i386.deb


Advertisement

Description

libimobiledevice-utils - Utitilies for communicating with iPhone and other Apple devices

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libimobiledevice-utils_1.2.1~git20181030.92c5462-1_i386.deb
Package name libimobiledevice-utils
Package version 1.2.1~git20181030.92c5462
Package release 1
Package architecture i386
Package type deb
Category role::program utils
Homepage https://www.libimobiledevice.org/
License -
Maintainer gtkpod Maintainers <pkg-gtkpod-devel@alioth-lists.debian.net>
Download size 92.37 KB
Installed size 434.00 KB
This package contains various utilities to interact with iPhone, iPad and iPod
touch devices, like:
- idevicepair: add a pairing record to allow communicating with a device
- idevicebackup2: make a backup of a device, optionnally encrypted
- idevicescreenshot: get a screenshot of the device
- idevicesyslog: read a device system log

Alternatives

Package Version Architecture Repository
libimobiledevice-utils_1.2.1~git20181030.92c5462-1_amd64.deb 1.2.1~git20181030.92c5462 amd64 Debian Main
libimobiledevice-utils - - -

Requires

Name Value
libc6 >= 2.15
libgcrypt20 >= 1.8.0
libgnutls30 >= 3.6.5
libimobiledevice6 >= 1.2.1~git20171128.5a854327+dfsg
libplist3 >= 1.11
libtasn1-6 >= 4.5
libusbmuxd4 >= 1.1.0~git20181007.07a493a

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libimobiledevice-utils_1.2.1~git20181030.92c5462-1_i386.deb
Source Package libimobiledevice

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libimobiledevice-utils deb package:
    # sudo apt-get install libimobiledevice-utils

Files

Path
/usr/bin/idevice_id
/usr/bin/idevicebackup
/usr/bin/idevicebackup2
/usr/bin/idevicecrashreport
/usr/bin/idevicedate
/usr/bin/idevicedebug
/usr/bin/idevicedebugserverproxy
/usr/bin/idevicediagnostics
/usr/bin/ideviceenterrecovery
/usr/bin/ideviceimagemounter
/usr/bin/ideviceinfo
/usr/bin/idevicename
/usr/bin/idevicenotificationproxy
/usr/bin/idevicepair
/usr/bin/ideviceprovision
/usr/bin/idevicescreenshot
/usr/bin/idevicesyslog
/usr/share/doc/libimobiledevice-utils/changelog.Debian.gz
/usr/share/doc/libimobiledevice-utils/copyright
/usr/share/man/man1/idevice_id.1.gz
/usr/share/man/man1/idevicebackup.1.gz
/usr/share/man/man1/idevicebackup2.1.gz
/usr/share/man/man1/idevicecrashreport.1.gz
/usr/share/man/man1/idevicedate.1.gz
/usr/share/man/man1/idevicedebug.1.gz
/usr/share/man/man1/idevicedebugserverproxy.1.gz
/usr/share/man/man1/idevicediagnostics.1.gz
/usr/share/man/man1/ideviceenterrecovery.1.gz
/usr/share/man/man1/ideviceimagemounter.1.gz
/usr/share/man/man1/ideviceinfo.1.gz
/usr/share/man/man1/idevicename.1.gz
/usr/share/man/man1/idevicepair.1.gz
/usr/share/man/man1/ideviceprovision.1.gz
/usr/share/man/man1/idevicescreenshot.1.gz
/usr/share/man/man1/idevicesyslog.1.gz

Changelog

2019-01-08 - Yves-Alexis Perez <corsac@debian.org>
libimobiledevice (1.2.1~git20181030.92c5462-1) unstable; urgency=medium
* New upstream snapshot
* d/control: update standards version to 4.3.0
* use debhelper-compat b-d for dh compat mode
* d/rules: add -O1 and -z,defs to LDFLAGS
* d/patches: drop old m4 macros clutering CPPFLAGS
* d/control: b-d on autoconf-archive
* run wrap-and-sort
2018-10-08 - Yves-Alexis Perez <corsac@debian.org>
libimobiledevice (1.2.1~git20181007.b34e343-1) unstable; urgency=medium
* d/gbp.conf updated to follow DEP-14
* d/control: update maintainer to the new alioth-list address
* d/rules: set all hardening options
* New upstream snapshot
* d/control: update Vcs-* fields
* d/control: drop useless x-python-version field
* d/control: update homepage link
* d/control: update libusbmuxd b-d for new symbol
* d/control: update descriptions
* d/control: update standards version to 4.2.1
* d/watch: use HTTPS protocol
* drop unused lintian overrides
2018-03-05 - Yves-Alexis Perez <corsac@debian.org>
libimobiledevice (1.2.1~git20180302.3a37a4e-1) unstable; urgency=medium
* d/rules: only build docs for arch:indep builds (fix FTBFS)
* d/control: drop Julien from uploaders and add myself (closes: #852389)
2018-03-02 - Yves-Alexis Perez <corsac@debian.org>
libimobiledevice (1.2.1~git20180302.3a37a4e-0.1) unstable; urgency=medium
* Non-maintainer upload
* d/control: add doxygen to build-dep-indep
* d/rules: (re)generate docs at build time
* New upstream version 1.2.1~git20180302.3a37a4e
2017-12-06 - Yves-Alexis Perez <corsac@debian.org>
libimobiledevice (1.2.1~git20171128.5a854327+dfsg-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream snapshot 1.2.1~git20171128.5a854327+dfsg
- fix compatibility with iOS 11 (closes: #881486)
- fix installation_proxy when using GnuTLS (closes: #852860)
* Drop 02-fix-link-errors.patch
* Drop local-only-sockets.patch
* Drop gnutls-api-update.patch
* Drop fix-ssl-version-negotiation-for-newer-versions-of-openssl.diff
* Drop idevice-update-gnutls-code-to-support-ios-10.diff
* Drop userpref-gnutls-fix-pairing-record-generation...
* d/p/09_use_python_config removed
* update symbols for new release
* d/gbp.conf: update section name to buildpackage
* d/control: update standards version to 4.1.2
* d/control: make python-imobiledevice depend on python-plist
(closes: #881486)
* d/s/lintian-overrides: add override for menu.js long lines
2017-11-02 - Manuel A. Fernandez Montecelo <mafm@debian.org>
libimobiledevice (1.2.0+dfsg-3.2) unstable; urgency=medium
* Non-maintainer upload.
* Switch to debhelper compat level 10
- autoreconf is invoked by default, do not build-depend on
dh-autoreconf and do not invoke dh with that argument
- Use automatic dbgsym packages, drop -dbg
- Remove DM-Upload-Allowed field in d/control
[ Helmut Grohne ]
* Remove wrong Multi-Arch: foreign from libimobiledevice-dev
(Closes: #842474)
2017-01-03 - Nicolas Boulenguez <nicolas@debian.org>
libimobiledevice (1.2.0+dfsg-3.1) unstable; urgency=medium
* Non-maintainer upload.
* Upstream commits replacing SSL3.0 with TLS1.0. Closes: #840931, #847977.
Also fix related bug in GNUTLS pairing record generation, see
https://github.com/libimobiledevice/libimobiledevice/issues/413.
2016-06-02 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.2.0+dfsg-3) unstable; urgency=high
* Team upload
* [3b56a55] Import patch to make sockets listen locally.
Fixes CVE-2016-5104 (Closes: #825553)
* [754e9a1] Fix FTBFS with new gnutls
2016-01-04 - Chow Loong Jin <hyperair@debian.org>
libimobiledevice (1.2.0+dfsg-2) unstable; urgency=medium
* Team upload.
* Reupload to unstable (Closes: #809797)

See Also

Package Description
libimobiledevice6_1.2.1~git20181030.92c5462-1_i386.deb Library for communicating with iPhone and other Apple devices
libimport-into-perl_1.002005-1_all.deb module for importing packages into other packages
libimporter-perl_0.025-1_all.deb alternative but compatible interface to modules that export symbols
libimvirt-perl_0.9.6-4_all.deb Perl module for detecting several virtualizations
libindi-data_1.7.5+dfsg-1_all.deb Instrument-Neutral Device Interface library -- shared data
libindi-dev_1.7.5+dfsg-1_i386.deb Instrument-Neutral Device Interface library -- development files
libindi-plugins_1.7.5+dfsg-1_i386.deb Instrument-Neutral Device Interface library -- plugins
libindialignmentdriver1_1.7.5+dfsg-1_i386.deb Instrument-Neutral Device Interface library -- alignment driver lib
libindicator-dev_0.5.0-4_i386.deb panel indicator applet - library development files
libindicator-tools_0.5.0-4_i386.deb Tools for libindicator
libindicator3-7_0.5.0-4_i386.deb panel indicator applet - shared library
libindicator3-dev_0.5.0-4_i386.deb panel indicator applet - library development files
libindicator3-tools_0.5.0-4_i386.deb Tools for libindicator
libindicator7_0.5.0-4_i386.deb panel indicator applet - shared library
libindidriver1_1.7.5+dfsg-1_i386.deb Instrument-Neutral Device Interface library -- driver library
Advertisement
Advertisement